🚀 API 2.0 is now live! See our API Reference for details.
🚀 API 2.0 is now live! See our API Reference for details.
curl --request POST \
--url https://api.nlpearl.ai/v2/Pearl/{pearlId}/Analytics \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"from": "2023-11-07T05:31:56Z",
"to": "2023-11-07T05:31:56Z"
}
'{
"callsStatusOverview": {
"totalCalls": 123,
"totalLeads": 123,
"needRetry": 123,
"wrongCountryCode": 123,
"needFollowUp": 123,
"voiceMailLeft": 123,
"successful": 123,
"unsuccessful": 123,
"wrongNumber": 123,
"completed": 123,
"unreachable": 123,
"error": 123
},
"callsSentimentOverview": {
"negative": 123,
"slightlyNegative": 123,
"neutral": 123,
"slightlyPositive": 123,
"positive": 123
},
"callsStatusTimeLine": [
{
"totalCalls": 123,
"totalLeads": 123,
"needRetry": 123,
"wrongCountryCode": 123,
"needFollowUp": 123,
"voiceMailLeft": 123,
"successful": 123,
"unsuccessful": 123,
"wrongNumber": 123,
"completed": 123,
"unreachable": 123,
"error": 123,
"date": "2023-11-07T05:31:56Z"
}
],
"callsAverageTimeLine": [
{
"date": "2023-11-07T05:31:56Z",
"averageCallDuration": 123
}
],
"callsCostTimeLine": [
{
"date": "2023-11-07T05:31:56Z",
"totalPrice": 123,
"averageCostPerCall": 123
}
],
"callsPickupRateTimeLine": [
{
"date": "2023-11-07T05:31:56Z",
"pickupRatePercentage": 123
}
],
"callsSuccessRateTimeLine": [
{
"date": "2023-11-07T05:31:56Z",
"successRatePercentage": 123
}
],
"callLabelCount": [
{
"id": "<string>",
"name": "<string>",
"color": "<string>",
"count": 123
}
],
"callEventsCounts": {
"takeMessageCount": 123,
"smsSentCount": 123,
"callTransferredCount": 123,
"calendarBookedCount": 123,
"emailSentCount": 123
},
"callsByHourDayOfWeeks": [
{
"hourOfDay": 123,
"dayOfWeek": 123,
"count": 123
}
],
"callType": 123
}Documentation Index
Fetch the complete documentation index at: https://developers.nlpearl.ai/llms.txt
Use this file to discover all available pages before exploring further.
Specify the authorization token.
For more information, check out the Authorization Guide.
Returns an object containing the analytics data for the specified outbound campaign.
Provides an overview of call counts by status for the selected period.
Show child attributes
Provides an overview of call sentiment distribution for the selected period.
Show child attributes
Provides the timeline of call statuses over time for the selected period.
Show child attributes
Provides the timeline of average call duration over time for the selected period.
Show child attributes
Provides the timeline of call cost over time for the selected period.
Show child attributes
Provides the timeline of pickup rate over time for the selected period (outbound only).
Show child attributes
Provides the timeline of success rate over time for the selected period.
Show child attributes
Provides the distribution of labels applied to calls for the selected period.
Show child attributes
Provides the total number of call events by event type for the selected period.
Show child attributes
Provides call volume grouped by hour and day of week for the selected period.
Show child attributes
Defines the type of activity of the pearl.
1 - Inbound
2 - Outbound
curl --request POST \
--url https://api.nlpearl.ai/v2/Pearl/{pearlId}/Analytics \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"from": "2023-11-07T05:31:56Z",
"to": "2023-11-07T05:31:56Z"
}
'{
"callsStatusOverview": {
"totalCalls": 123,
"totalLeads": 123,
"needRetry": 123,
"wrongCountryCode": 123,
"needFollowUp": 123,
"voiceMailLeft": 123,
"successful": 123,
"unsuccessful": 123,
"wrongNumber": 123,
"completed": 123,
"unreachable": 123,
"error": 123
},
"callsSentimentOverview": {
"negative": 123,
"slightlyNegative": 123,
"neutral": 123,
"slightlyPositive": 123,
"positive": 123
},
"callsStatusTimeLine": [
{
"totalCalls": 123,
"totalLeads": 123,
"needRetry": 123,
"wrongCountryCode": 123,
"needFollowUp": 123,
"voiceMailLeft": 123,
"successful": 123,
"unsuccessful": 123,
"wrongNumber": 123,
"completed": 123,
"unreachable": 123,
"error": 123,
"date": "2023-11-07T05:31:56Z"
}
],
"callsAverageTimeLine": [
{
"date": "2023-11-07T05:31:56Z",
"averageCallDuration": 123
}
],
"callsCostTimeLine": [
{
"date": "2023-11-07T05:31:56Z",
"totalPrice": 123,
"averageCostPerCall": 123
}
],
"callsPickupRateTimeLine": [
{
"date": "2023-11-07T05:31:56Z",
"pickupRatePercentage": 123
}
],
"callsSuccessRateTimeLine": [
{
"date": "2023-11-07T05:31:56Z",
"successRatePercentage": 123
}
],
"callLabelCount": [
{
"id": "<string>",
"name": "<string>",
"color": "<string>",
"count": 123
}
],
"callEventsCounts": {
"takeMessageCount": 123,
"smsSentCount": 123,
"callTransferredCount": 123,
"calendarBookedCount": 123,
"emailSentCount": 123
},
"callsByHourDayOfWeeks": [
{
"hourOfDay": 123,
"dayOfWeek": 123,
"count": 123
}
],
"callType": 123
}